---
title: "Retrieve PM Communications By Code"
slug: "retrieve-pm-communications-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-pm-communications-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PM Communications By Code

Get/pm-rest-api/rest/1/pmcomm

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select Pm Communications
- By UUID

#### Select Pm Communications

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| commID | Communication ID | 0006 |
| projectCode | Project Code | 14001 |
| compCode | Company Code | 001 |

#### By UUID

This is an optional finder for querying a specific PM Communication by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /pm-rest-api/rest/1/pmcomm/BEC69D8906166831E05316821FACD948 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectPmComm; commID=0006, projectCode=14001, compCode=001
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExamplePmcomVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='e11efc78-a4db-4176-a054-fbb221465c79'>application/json</option>
</select>

```json
{
  "items": [
    {
      "PmcomClvValueCode1": null,
      "PmcomClvValueCode2": null,
      "PmcomClvValueCode3": null,
      "PmcomClvValueCode4": null,
      "PmcomClvValueCode5": null,
      "PmcomClvValueCode6": null,
      "PmcomCommDate": null,
      "PmcomCommEndDate": null,
      "PmcomCommId": "0006",
      "PmcomCommStatus": "O",
      "PmcomCommType": "EMAIL",
      "PmcomCompCode": "001",
      "PmcomEnteredByContactCode": "DD",
      "PmcomEnteredByPartnCode": "HIKUU",
      "PmcomEnteredByPartnTCode": "C",
      "PmcomEnteredDate": "2015-06-17T00:23:57Z",
      "PmcomFollowupByContctCode": null,
      "PmcomFollowupByPartnCode": null,
      "PmcomFollowupByPtCode": null,
      "PmcomFollowupDate": null,
      "PmcomFollowupDueDate": null,
      "PmcomFollowupNotes": null,
      "PmcomFollowupRequiredFlag": "N",
      "PmcomFromContactCode": "DD",
      "PmcomFromPartnCode": "HIKUU",
      "PmcomFromPartnTypeCode": "C",
      "PmcomNotes": "Hello,\r\n\r\n \r\n\r\nIssue – See attached drawings.\r\n\r\n \r\n\r\nGov't released Mod 03 Rev 2 specifying change in HVAC units, building\r\npriority and refrigerant. Mod 03 Rev 2 extends POP from 31 March to 20\r\nJuly 2015 with a Field POP of 30 June 2015. ECC submitted proposal for\r\nMod 03 Rev 2 on 27 Jan 2015. AFCEC and ECC are currently in discussions\r\non additional allowable/unallowable GC costs for Mod SOW changes and\r\nextended POP. Requested amount TBD. \r\n\r\n \r\n\r\nThanks,\r\n\r\n \r\n\r\nSteve Cangiano\r\n\r\nCMiC   | CONSTRUCTION SOFTWARE EVOLVED\r\n4850 KEELE STREET, TORONTO, ON, M3J 3K1 \r\nO: (416) 736-0123 Ext: 256 | F: (416) 736-1851 \r\nsteve.cangiano@cmicglobal.com   |\r\ncmicglobal.com  \r\n\r\n \r\n\r\n \r\n\r\n",
      "PmcomProjCode": "14001",
      "PmcomReceivedFlag": "N",
      "PmcomRecordStatus": "PENDING",
      "PmcomSubject": "Mod 03 Rev 2 RFP",
      "PmcomToContactCode": "DD",
      "PmcomToPartnCode": "HIKUU",
      "PmcomToPartnTypeCode": "C",
      "PmcomVUuid": "BEC69D8906166831E05316821FACD948",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmcomm/BEC69D8906166831E05316821FACD948",
          "name": "pmcomm",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmcomm/BEC69D8906166831E05316821FACD948",
          "name": "pmcomm",
          "kind": "item"
        },
        {
          "rel": "enclosure",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmcomm/BEC69D8906166831E05316821FACD948/enclosure/PmcomCommentsLong",
          "name": "PmcomCommentsLong",
          "kind": "other"
        }
      ]
    }
  ],
  "totalResults": 1,
  "count": 1,
  "hasMore": false,
  "limit": 2,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmcomm",
      "name": "pmcomm",
      "kind": "collection"
    }
  ]
}
```

object
